package com.iconplus.smartproc.repository;

import com.iconplus.smartproc.model.entity.DrpApproval;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Optional;

@Repository
public interface DrpApprovalRepository extends JpaRepository<DrpApproval, Long> {

    Optional<DrpApproval> findByDrpIdAndApproverUserIdAndIsDeleteFalse(Long drpId, Long userId);


    @Query(value = "SELECT da " +
            "FROM DrpApproval da " +
            "WHERE da.isDelete = false " +
            "AND da.drpId = :drpId " +
            "AND UPPER(da.level) = 'KOMITE' " +
            "AND da.isApprove = null")
    List<DrpApproval> getListKomiteApproval(Long drpId);


}
