package com.iconplus.smartproc.repository;

import com.iconplus.smartproc.model.entity.DrpRekomendasi;
import com.iconplus.smartproc.model.projection.DrpRekomendasiView;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface DrpRekomendasiRepository extends JpaRepository<DrpRekomendasi, Long> {

    @Query(value = "SELECT dr.id as id, " +
            "da.isApprove as isApprove, " +
            "j.jabatan as jabatan, " +
            "dr.rekomendasi as rekomendasi, " +
            "dr.rekomendasiDate as rekomendasiDate " +
            "FROM DrpRekomendasi dr " +
            "JOIN DrpApproval da ON da.id = dr.drpApprovalId " +
            "JOIN Users u ON u.id = dr.userId " +
            "JOIN Jabatan j ON j.id = u.jabatanId " +
            "WHERE dr.isDelete = false " +
            "AND dr.jenisPengadaanId = :jenisPengadaanId")
    List<DrpRekomendasiView> getListDrpRekomendasi(Long jenisPengadaanId);
}
